Package org.apache.sling.maven.jspc

## Class FeatureSupport

- java.lang.Object
- - org.apache.sling.maven.jspc.FeatureSupport

    public class FeatureSupport
    extends Object

### Constructor Summary

Constructors
`FeatureSupport​(org.osgi.framework.launch.Framework framework, ClassLoader loader, org.apache.sling.scripting.jsp.jasper.compiler.TldLocationsCache locationsCache, org.apache.sling.feature.Feature feature)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static FeatureSupport` `createFeatureSupport​(org.apache.sling.feature.Feature feature, org.apache.sling.feature.builder.ArtifactProvider provider, ClassLoader loader, boolean failOnUnresolvedBundles, Function<Map<String,​String>,​Map<String,​String>> frameworkPropertiesHandler)`
`ClassLoader` `getClassLoader()`
`org.apache.sling.feature.Feature` `getFeature()`
`org.apache.sling.scripting.jsp.jasper.compiler.TldLocationsCache` `getTldLocationsCache()`
`void` `shutdown​(long timeout)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FeatureSupport

    public FeatureSupport​(org.osgi.framework.launch.Framework framework,
                          ClassLoader loader,
                          org.apache.sling.scripting.jsp.jasper.compiler.TldLocationsCache locationsCache,
                          org.apache.sling.feature.Feature feature)

### Method Detail

#### getClassLoader

    public ClassLoader getClassLoader()

#### getTldLocationsCache

    public org.apache.sling.scripting.jsp.jasper.compiler.TldLocationsCache getTldLocationsCache()

#### getFeature

    public org.apache.sling.feature.Feature getFeature()

#### createFeatureSupport

    public static FeatureSupport createFeatureSupport​(org.apache.sling.feature.Feature feature,
                                                      org.apache.sling.feature.builder.ArtifactProvider provider,
                                                      ClassLoader loader,
                                                      boolean failOnUnresolvedBundles,
                                                      Function<Map<String,​String>,​Map<String,​String>> frameworkPropertiesHandler)
                                               throws org.osgi.framework.BundleException

Throws:
  `org.osgi.framework.BundleException`

#### shutdown

    public void shutdown​(long timeout)
                  throws Exception

Throws:
  `Exception`